<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://DigitalData.Services.EDMIService" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://DigitalData.Services.EDMIService" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://DigitalData.Services.EDMIService/Imports">
      <xsd:import namespace="http://DigitalData.Services.EDMIService" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Base.GetClientConfig" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System.Data" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database.GetDatatable" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database.GetScalarValue" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.Database.ExecuteNonQuery" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB.NewFile" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System.IO" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Modules.ZooFlow.State" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB.UpdateFile" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB.SetAttributeValue" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB.GetAttributeValue" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.GlobalIndexer.ImportFile" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB.GetFileObject" />
      <xsd:import namespace="http://schemas.microsoft.com/Message" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Modules.EDMI.API" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="IEDMIService_Heartbeat_InputMessage">
    <wsdl:part name="parameters" element="tns:Heartbeat" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_Heartbeat_OutputMessage">
    <wsdl:part name="parameters" element="tns:HeartbeatResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetClientConfig_InputMessage">
    <wsdl:part name="parameters" element="tns:GetClientConfig" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetClientConfig_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetClientConfigResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetCachedTables_InputMessage">
    <wsdl:part name="parameters" element="tns:GetCachedTables" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetCachedTables_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetCachedTablesResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatableFromCache_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatableFromCache" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatableFromCache_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatableFromCacheResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatableFromCache_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q1="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q1:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatableFromCache_DataTableDoesNotExistFaultFault_FaultMessage">
    <wsdl:part xmlns:q2="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q2:DataTableDoesNotExistFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatableResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalarValue_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalarValue" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalarValue_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalarValueResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_InputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_OutputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQueryResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_Firebird_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable_Firebird" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_Firebird_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable_FirebirdResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_Firebird_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q3="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q3:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_Firebird_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar_Firebird" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_Firebird_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar_FirebirdResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_Firebird_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q4="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q4:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_Firebird_InputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery_Firebird" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_Firebird_OutputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery_FirebirdResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_Firebird_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q5="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q5:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_MSSQL_IDB_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable_MSSQL_IDB" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_MSSQL_IDB_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable_MSSQL_IDBResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_MSSQL_IDB_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q6="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q6:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_MSSQL_IDB_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar_MSSQL_IDB" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_MSSQL_IDB_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar_MSSQL_IDBResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_MSSQL_IDB_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q7="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q7:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_MSSQL_IDB_InputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery_MSSQL_IDB" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_MSSQL_IDB_OutputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery_MSSQL_IDBResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_MSSQL_IDB_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q8="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q8:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_MSSQL_ECM_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable_MSSQL_ECM" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_MSSQL_ECM_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnDatatable_MSSQL_ECMResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnDatatable_MSSQL_ECM_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q9="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q9:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_MSSQL_ECM_InputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar_MSSQL_ECM" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_MSSQL_ECM_OutputMessage">
    <wsdl:part name="parameters" element="tns:ReturnScalar_MSSQL_ECMResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ReturnScalar_MSSQL_ECM_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q10="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q10:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_MSSQL_ECM_InputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery_MSSQL_ECM" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_MSSQL_ECM_OutputMessage">
    <wsdl:part name="parameters" element="tns:ExecuteNonQuery_MSSQL_ECMResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ExecuteNonQuery_MSSQL_ECM_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q11="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q11:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_NewFile_InputMessage">
    <wsdl:part name="parameters" element="tns:NewFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_NewFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:NewFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_UpdateFile_InputMessage">
    <wsdl:part name="parameters" element="tns:UpdateFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_UpdateFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:UpdateFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_SetAttributeValue_InputMessage">
    <wsdl:part name="parameters" element="tns:SetAttributeValue" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_SetAttributeValue_OutputMessage">
    <wsdl:part name="parameters" element="tns:SetAttributeValueResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetAttributeValue_InputMessage">
    <wsdl:part name="parameters" element="tns:GetAttributeValue" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetAttributeValue_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetAttributeValueResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ImportFile_InputMessage">
    <wsdl:part name="parameters" element="tns:ImportFile" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ImportFile_OutputMessage">
    <wsdl:part name="parameters" element="tns:ImportFileResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFileObject_InputMessage">
    <wsdl:part name="parameters" element="tns:GetFileObject" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFileObject_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetFileObjectResponse" />
  </wsdl:message>
  <wsdl:message name="DocumentStreamRequest">
    <wsdl:part name="parameters" element="tns:DocumentStreamRequest" />
  </wsdl:message>
  <wsdl:message name="DocumentStreamResponse">
    <wsdl:part name="parameters" element="tns:DocumentStreamResponse" />
  </wsdl:message>
  <wsdl:message name="DocumentStreamResponse_Headers">
    <wsdl:part name="FileName" element="tns:FileName" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFileByObjectId_ObjectDoesNotExistFaultFault_FaultMessage">
    <wsdl:part xmlns:q12="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q12:ObjectDoesNotExistFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFileByObjectId_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q13="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q13:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="DocumentInfoRequest">
    <wsdl:part name="parameters" element="tns:DocumentInfoRequest" />
  </wsdl:message>
  <wsdl:message name="DocumentInfoResponse">
    <wsdl:part name="parameters" element="tns:DocumentInfoResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_GetFileInfoByObjectId_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q14="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q14:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ListFilesForUser_InputMessage" />
  <wsdl:message name="DocumentListResponse">
    <wsdl:part name="parameters" element="tns:DocumentListResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_ListFilesForUser_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q15="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q15:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:message name="TestObjectIdExistsRequest">
    <wsdl:part name="parameters" element="tns:TestObjectIdExistsRequest" />
  </wsdl:message>
  <wsdl:message name="TestObjectIdExistsResponse">
    <wsdl:part name="parameters" element="tns:TestObjectIdExistsResponse" />
  </wsdl:message>
  <wsdl:message name="IEDMIService_TestObjectIdExists_UnexpectedErrorFaultFault_FaultMessage">
    <wsdl:part xmlns:q16="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Exceptions" name="detail" element="q16:UnexpectedErrorFault" />
  </wsdl:message>
  <wsdl:portType name="IEDMIService">
    <wsdl:operation name="Heartbeat">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/Heartbeat" message="tns:IEDMIService_Heartbeat_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/HeartbeatResponse" message="tns:IEDMIService_Heartbeat_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetClientConfig">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetClientConfig" message="tns:IEDMIService_GetClientConfig_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetClientConfigResponse" message="tns:IEDMIService_GetClientConfig_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetCachedTables">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetCachedTables" message="tns:IEDMIService_GetCachedTables_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetCachedTablesResponse" message="tns:IEDMIService_GetCachedTables_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatableFromCache">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableFromCache" message="tns:IEDMIService_ReturnDatatableFromCache_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableFromCacheResponse" message="tns:IEDMIService_ReturnDatatableFromCache_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableFromCacheUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnDatatableFromCache_UnexpectedErrorFaultFault_FaultMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableFromCacheDataTableDoesNotExistFaultFault" name="DataTableDoesNotExistFaultFault" message="tns:IEDMIService_ReturnDatatableFromCache_DataTableDoesNotExistFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable" message="tns:IEDMIService_ReturnDatatable_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatableResponse" message="tns:IEDMIService_ReturnDatatable_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnScalarValue">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalarValue" message="tns:IEDMIService_ReturnScalarValue_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalarValueResponse" message="tns:IEDMIService_ReturnScalarValue_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery" message="tns:IEDMIService_ExecuteNonQuery_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQueryResponse" message="tns:IEDMIService_ExecuteNonQuery_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable_Firebird">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_Firebird" message="tns:IEDMIService_ReturnDatatable_Firebird_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_FirebirdResponse" message="tns:IEDMIService_ReturnDatatable_Firebird_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_FirebirdUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnDatatable_Firebird_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar_Firebird">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_Firebird" message="tns:IEDMIService_ReturnScalar_Firebird_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_FirebirdResponse" message="tns:IEDMIService_ReturnScalar_Firebird_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_FirebirdUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnScalar_Firebird_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery_Firebird">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_Firebird" message="tns:IEDMIService_ExecuteNonQuery_Firebird_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_FirebirdResponse" message="tns:IEDMIService_ExecuteNonQuery_Firebird_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_FirebirdUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ExecuteNonQuery_Firebird_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable_MSSQL_IDB">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_IDB" message="tns:IEDMIService_ReturnDatatable_MSSQL_IDB_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_IDBResponse" message="tns:IEDMIService_ReturnDatatable_MSSQL_IDB_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_IDBUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnDatatable_MSSQL_IDB_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar_MSSQL_IDB">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_IDB" message="tns:IEDMIService_ReturnScalar_MSSQL_IDB_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_IDBResponse" message="tns:IEDMIService_ReturnScalar_MSSQL_IDB_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_IDBUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnScalar_MSSQL_IDB_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery_MSSQL_IDB">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_IDB" message="tns:IEDMIService_ExecuteNonQuery_MSSQL_IDB_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_IDBResponse" message="tns:IEDMIService_ExecuteNonQuery_MSSQL_IDB_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_IDBUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ExecuteNonQuery_MSSQL_IDB_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnDatatable_MSSQL_ECM">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_ECM" message="tns:IEDMIService_ReturnDatatable_MSSQL_ECM_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_ECMResponse" message="tns:IEDMIService_ReturnDatatable_MSSQL_ECM_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnDatatable_MSSQL_ECMUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnDatatable_MSSQL_ECM_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ReturnScalar_MSSQL_ECM">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_ECM" message="tns:IEDMIService_ReturnScalar_MSSQL_ECM_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_ECMResponse" message="tns:IEDMIService_ReturnScalar_MSSQL_ECM_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ReturnScalar_MSSQL_ECMUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ReturnScalar_MSSQL_ECM_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ExecuteNonQuery_MSSQL_ECM">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_ECM" message="tns:IEDMIService_ExecuteNonQuery_MSSQL_ECM_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_ECMResponse" message="tns:IEDMIService_ExecuteNonQuery_MSSQL_ECM_OutputMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ExecuteNonQuery_MSSQL_ECMUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ExecuteNonQuery_MSSQL_ECM_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="NewFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/NewFile" message="tns:IEDMIService_NewFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/NewFileResponse" message="tns:IEDMIService_NewFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="UpdateFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/UpdateFile" message="tns:IEDMIService_UpdateFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/UpdateFileResponse" message="tns:IEDMIService_UpdateFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="SetAttributeValue">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/SetAttributeValue" message="tns:IEDMIService_SetAttributeValue_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/SetAttributeValueResponse" message="tns:IEDMIService_SetAttributeValue_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetAttributeValue">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetAttributeValue" message="tns:IEDMIService_GetAttributeValue_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetAttributeValueResponse" message="tns:IEDMIService_GetAttributeValue_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="ImportFile">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ImportFile" message="tns:IEDMIService_ImportFile_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ImportFileResponse" message="tns:IEDMIService_ImportFile_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetFileObject">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileObject" message="tns:IEDMIService_GetFileObject_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileObjectResponse" message="tns:IEDMIService_GetFileObject_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetFileByObjectId">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectId" name="DocumentStreamRequest" message="tns:DocumentStreamRequest" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectIdResponse" name="DocumentStreamResponse" message="tns:DocumentStreamResponse" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectIdObjectDoesNotExistFaultFault" name="ObjectDoesNotExistFaultFault" message="tns:IEDMIService_GetFileByObjectId_ObjectDoesNotExistFaultFault_FaultMessage" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileByObjectIdUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_GetFileByObjectId_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetFileInfoByObjectId">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileInfoByObjectId" name="DocumentInfoRequest" message="tns:DocumentInfoRequest" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileInfoByObjectIdResponse" name="DocumentInfoResponse" message="tns:DocumentInfoResponse" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/GetFileInfoByObjectIdUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_GetFileInfoByObjectId_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="ListFilesForUser">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ListFilesForUser" message="tns:IEDMIService_ListFilesForUser_InputMessage" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ListFilesForUserResponse" name="DocumentListResponse" message="tns:DocumentListResponse" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/ListFilesForUserUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_ListFilesForUser_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
    <wsdl:operation name="TestObjectIdExists">
      <wsdl:input wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/TestObjectIdExists" name="TestObjectIdExistsRequest" message="tns:TestObjectIdExistsRequest" />
      <wsdl:output wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/TestObjectIdExistsResponse" name="TestObjectIdExistsResponse" message="tns:TestObjectIdExistsResponse" />
      <wsdl:fault wsaw:Action="http://DigitalData.Services.EDMIService/IEDMIService/TestObjectIdExistsUnexpectedErrorFaultFault" name="UnexpectedErrorFaultFault" message="tns:IEDMIService_TestObjectIdExists_UnexpectedErrorFaultFault_FaultMessage" />
    </wsdl:operation>
  </wsdl:portType>
</wsdl:definitions>